Announcement Announcement Module
Collapse
No announcement yet.
OAuth, Enunciate, configuration woes Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • OAuth, Enunciate, configuration woes

    Hey Guys

    Trying to hook up OAuth2 in Spring and no matter what I do I end up with errors.

    Everytime Jetty fires up:

    Code:
    ERROR - Context initialization failed
    org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: Failed to import bean definitions from relative location [applicationContext-project-web.xml]
    Offending resource: ServletContext resource [/WEB-INF/applicationContext.xml]; nested exception is org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: Unable to locate Spring NamespaceHandler for XML schema namespace [http://www.springframework.org/schema/security/oauth2]
    Offending resource: ServletContext resource [/WEB-INF/applicationContext-project-web.xml]
    The top of my aaplicationContext-project-web.xml is

    Code:
    <beans:beans xmlns="http://www.springframework.org/schema/security"
      xmlns:beans="http://www.springframework.org/schema/beans"
      xmlns:oauth="http://www.springframework.org/schema/security/oauth2"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.0.xsd
                  http://www.springframework.org/schema/security http://www.springframework.org/schema/security/spring-security-3.0.xsd
                  http://www.springframework.org/schema/security/oauth2 http://www.springframework.org/schema/security/spring-security-oauth2.xsd">
    And I have Spring 3.0.2.Release libs on the classpath and

    <dependency>
    <groupId>org.codehaus.spring-security-oauth</groupId>
    <artifactId>spring-security-oauth</artifactId>
    <version>3.19.SS3</version>
    </dependency>


    Anyone got any ideas whatsoever? Cause I'm stumped

  • #2
    You use obsolete Spring OAuth implementation.

    The newest sources are here:
    http://static.springsource.org/sprin...th/source.html

    And so you need to use the following maven deps:

    <dependency>
    <groupId>org.springframework.security.oauth</groupId>
    <artifactId>spring-security-oauth</artifactId>
    <version>1.0.0.BUILD-SNAPSHOT</version>
    </dependency>

    Comment


    • #3
      doh
      Thanks!

      Comment

      Working...
      X